Device::USB::PCSensor::HidTEMPer::NTC::External(3pm)

NAME
Device::USB::PCSensor::HidTEMPer::NTC::Internal - The HidTEMPerNTC external sensor

VERSION
Version 0.02

SYNOPSIS
None

DESCRIPTION
This is the implementation of the HidTEMPerNTC external sensor.

  CONSTANTS

•   MAX_TEMPERATURE

    The highest temperature(150 degrees celsius) this sensor can detect.

•   MIN_TEMPERATURE

    The lowest temperature(-50 degrees celsius) this sensor can detect.

•   INITIAL_GAIN

    The initial gain value used to calculate voltage returned

•   CALIBRATION_VALUES

    Values used to calculate Volt7705Calibration

  METHODS

•   new()

    Returns a new External sensor object.

•   celsius()

    Returns the current temperature from the device in celsius degrees.

    The formula used to calculate value based on a calibrated key value is created using the Eureqa tool from Cornell Computational Synthesis Lab, http://ccsl.mae.cornell.edu/eureqa.

    Resulting in the use of this formula instead of the provided number list: f(y)=66.7348/(66.7275/(67.8088 - 9.70353*log(0.000251309 + y*y)) - 0.21651)

    If you find another formula that is more accurate please drop me a line. The data used can be found in the source code of this file.

INHERIT METHODS FROM
Device::USB::PCSensor::HidTEMPer::Sensor

DEPENDENCIES
This module internally includes and takes use of the following packages:

  use Carp;
  use Time::HiRes qw / sleep /;
  use Device::USB::PCSensor::HidTEMPer::Sensor;

This module uses the strict and warning pragmas.

BUGS
Please report any bugs or missing features using the CPAN RT tool.

FOR MORE INFORMATION
None

AUTHOR
Magnus Sulland < msulland@cpan.org >

ACKNOWLEDGEMENTS
This code includes findings done by Robin B. Jensen, http://www.drunkardswalk.dk, when converting the received hex values into volt.

COPYRIGHT & LICENSE
Copyright (c) 2010-2011 Magnus Sulland

This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.